org.flexdock.plaf.mappings

## Class RefResolver

- java.lang.Object
- - org.flexdock.plaf.mappings.RefResolver

Direct Known Subclasses:
  SkinLFResolver

    public class RefResolver
    extends java.lang.Object

Author:
  Christopher Butler

### Constructor Summary

Constructors
Constructor and Description
`RefResolver()`

### Method Summary

Methods
`java.lang.String` `getDefaultRef()`
`java.lang.String` `getRef(java.lang.String plaf)`
`void` `setDefaultRef(java.lang.String ref)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RefResolver

    public RefResolver()

### Method Detail

#### setDefaultRef

    public void setDefaultRef(java.lang.String ref)

#### getDefaultRef

    public java.lang.String getDefaultRef()

#### getRef

    public java.lang.String getRef(java.lang.String plaf)